<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2002-2007 - INRIA - Serge STEER
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="loadmatfile">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>loadmatfile</refname>
    <refpurpose>loads a Matlab V6 MAT-file (binary or ASCII) into Scilab</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>loadmatfile(format,filename[,var1[,var2[,...]]])
loadmatfile(filename[,format[,var1[,var2[,...]]]])
loadmatfile(filename[,var1[,var2,[,...[,format]]]])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>filename</term>
        <listitem>
          <para>character string containing the path of the file (needed)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>format</term>
        <listitem>
          <para>file format (if not given and file has extension ".mat", file is considered to be binary)</para>
          <variablelist>
            <varlistentry>
              <term>"-mat"</term>
              <listitem>
                <para>binary file</para>
              </listitem>
            </varlistentry>
            <varlistentry>
              <term>"-ascii"</term>
              <listitem>
                <para>option to force Scilab to read file as an ASCII file</para>
              </listitem>
            </varlistentry>
          </variablelist>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>var1, var2</term>
        <listitem>
          <para>character strings containing the name of the variables to load (only for binary files)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    loads a Matlab MAT-file into Scilab. The Matlab data types are
    converted into the Scilab equivalents.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
A = rand(10,10);
B = sprand(100,100,0.1);
savematfile('test_matfile.mat','A','B','-v6');
clear;
loadmatfile('test_matfile.mat');
disp(A)
disp(B)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="load">load</link>
      </member>
      <member>
        <link linkend="savematfile">savematfile</link>
      </member>
      <member>
        <link linkend="save">save</link>
      </member>
      <member>
        <link linkend="mfile2sci">mfile2sci</link>
      </member>
      <member>
        <link linkend="matfile2sci">matfile2sci</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer (INRIA)</member>
      <member>V.C</member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Bibliography</title>
    <para>This function has been developped following the "MAT-File Format"
  description: 
<literal><ulink url="http://www.mathworks.com/access/helpdesk/help/pdf_doc/matlab/matfile_format.pdf">Mat-File Format</ulink></literal></para>
  </refsection>
</refentry>
